package com.qmth.distributed.print.business.bean.dto;

import com.qmth.boot.tools.excel.annotation.ExcelColumn;
import com.qmth.teachcloud.common.annotation.ExcelError;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 客观题结构Dto
 * @Author: CaoZixuan
 * @Date: 2024/04/08
 */
public class ObjectiveStructDto {

    @ApiModelProperty(value = "课程代码")
    @ExcelColumn(name = "课程代码", index = 1, nullable = true)
    private String courseCode;

    @ApiModelProperty(value = "课程名称")
    @ExcelColumn(name = "课程名称", index = 2, nullable = true)
    private String courseName;

    @ApiModelProperty(value = "试卷编号")
    @ExcelColumn(name = "试卷编号", index = 3, nullable = true)
    private String paperNumber;

    @ApiModelProperty(value = "大题名称")
    @ExcelColumn(name = "大题名称", index = 4, nullable = true)
    private String mainTitle;

    @ApiModelProperty(value = "大题号(只能用小写数字)")
    @ExcelColumn(name = "大题号(只能用小写数字)", index = 5, nullable = true)
    private Integer mainNumber;

    @ApiModelProperty(value = "小题号(只能用小写数字)")
    @ExcelColumn(name = "小题号(只能用小写数字)", index = 6, nullable = true)
    private Integer subNumber;

    @ApiModelProperty(value = "标准答案")
    @ExcelColumn(name = "标准答案", index = 7, nullable = true)
    private String answer;

    @ApiModelProperty(value = "选项个数")
    @ExcelColumn(name = "选项个数", index = 8, nullable = true)
    private Integer optionCount;

    @ApiModelProperty(value = "小题满分")
    @ExcelColumn(name = "小题满分", index = 9, nullable = true)
    private Double totalScore;

    @ApiModelProperty(value = "题型(1-单选，2-多选，3-判断)")
    @ExcelColumn(name = "题型(1-单选，2-多选，3-判断)", index = 10, nullable = true)
    private Integer questionType;

    @ApiModelProperty(value = "错误信息")
    @ExcelError
    private String errorMsg;

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getMainTitle() {
        return mainTitle;
    }

    public void setMainTitle(String mainTitle) {
        this.mainTitle = mainTitle;
    }

    public Integer getMainNumber() {
        return mainNumber;
    }

    public void setMainNumber(Integer mainNumber) {
        this.mainNumber = mainNumber;
    }

    public Integer getSubNumber() {
        return subNumber;
    }

    public void setSubNumber(Integer subNumber) {
        this.subNumber = subNumber;
    }

    public String getAnswer() {
        return answer;
    }

    public void setAnswer(String answer) {
        this.answer = answer;
    }

    public Integer getOptionCount() {
        return optionCount;
    }

    public void setOptionCount(Integer optionCount) {
        this.optionCount = optionCount;
    }

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public Integer getQuestionType() {
        return questionType;
    }

    public void setQuestionType(Integer questionType) {
        this.questionType = questionType;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }
}
